Package be.ehealth.businessconnector.hub.service

# Interface IntraHubPatientService

All Known Implementing Classes:
  `IntraHubPatientServiceImpl`

public interface IntraHubPatientService
Interface for patient specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubPatientServiceImpl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PersonType`
  `getPatient(PatientIdType patientId)`
  Gets the patient.
  `ConsentType`
  `getPatientConsent(SelectGetPatientConsentType patientConsent)`
  Gets the patient consent.
  `PersonType`
  `putPatient(PersonType patient)`
  Put patient.
  `void`
  `putPatientConsent(ConsentType patientConsent)`
  Put patient consent.
  `void`
  `revokePatientConsent(ConsentType patientConsent)`
  Revoke patient consent.

- ## Method Details

  - ### putPatient

    PersonType putPatient(PersonType patient) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Put patient.
    Parameters:
      `patient` - the patient
    Returns:
      PersonType

  - ### getPatient

    PersonType getPatient(PatientIdType patientId) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Gets the patient.
    Parameters:
      `patientId` - the patient id
    Returns:
      the patient

  - ### putPatientConsent

    void putPatientConsent(ConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Put patient consent.
    Parameters:
      `patientConsent` - the patient consent

  - ### getPatientConsent

    ConsentType getPatientConsent(SelectGetPatientConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Gets the patient consent.
    Parameters:
      `patientConsent` - the patient consent
    Returns:
      the patient consent

  - ### revokePatientConsent

    void revokePatientConsent(ConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Revoke patient consent.
    Parameters:
      `patientConsent` - the patient consent